Last Comment Bug 860851 - New Error Console Filter textbox label should have slightly less useless access key
: New Error Console Filter textbox label should have slightly less useless acce...
Status: RESOLVED FIXED
: late-l10n
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.20
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on: 800096
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-11 11:44 PDT by neil@parkwaycc.co.uk
Modified: 2013-04-14 15:29 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
unaffected
fixed
fixed


Attachments
Possible patch (1.14 KB, patch)
2013-04-11 11:46 PDT, neil@parkwaycc.co.uk
philip.chee: review+
iann_bugzilla: review+
iann_bugzilla: approval‑comm‑aurora+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2013-04-11 11:44:12 PDT
Bug 801266 added a new label next to the Error Console's Filter textbox. However the accesskey that we previously added in bug 800096 isn't among the letters of the label, so it displays as Filter (K): instead.
Comment 1 neil@parkwaycc.co.uk 2013-04-11 11:46:08 PDT
Created attachment 736412 [details] [diff] [review]
Possible patch

"i" being the only letter of "Filter" that isn't currently in use. ("l" and "r" are the only other possible candidates, but are currently used by "Clear" and "Errors" respectively.)
Comment 2 Philip Chee 2013-04-12 07:04:47 PDT
Comment on attachment 736412 [details] [diff] [review]
Possible patch

yeah agreed.
Comment 3 neil@parkwaycc.co.uk 2013-04-12 15:42:02 PDT
Pushed comm-central changeset 10a64867756e.
Comment 4 neil@parkwaycc.co.uk 2013-04-12 15:43:35 PDT
Bah, try again with those tracking flags :s
Comment 5 neil@parkwaycc.co.uk 2013-04-12 15:46:02 PDT
Comment on attachment 736412 [details] [diff] [review]
Possible patch

[Approval Request Comment]
Regression caused by (bug #): 801266
User impact if declined: Ugly access key
Testing completed (on m-c, etc.): Landed on c-c
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: Yes, but already posted to l10n newsgroup
Comment 6 neil@parkwaycc.co.uk 2013-04-14 15:19:14 PDT
Bah, this time I got the status wrong. Sigh...
Comment 7 neil@parkwaycc.co.uk 2013-04-14 15:29:39 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/aa9ab103b038

Note You need to log in before you can comment on or make changes to this bug.